| Qore FileDataProvider Module Reference 1.0

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
FileDataProvider::FileDeleteDataProvider Class Reference

The File delete data provider class. More...

Inherits AbstractDataProvider.

## Public Member Functions
string | getName ()
| Returns the data provider name.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Public Attributes
const | ProviderInfo
| Provider info.
const | ProviderSummaryInfo
| Provider summary info.
const | RequestType = new FilePathDataType()
| Request type.

## Protected Member Functions
auto | doRequestImpl (auto req, *hash< auto > request_options)
| Makes a request and returns the response. More...
*AbstractDataProviderType | getRequestTypeImpl ()
| Returns the description of a successful request message, if any. More...
*AbstractDataProviderType | getResponseTypeImpl ()
| Returns the description of a response message, if this object represents a response message. More...

## Detailed Description

The File delete data provider class.

## Member Function Documentation

## ◆ doRequestImpl()

auto FileDataProvider::FileDeleteDataProvider::doRequestImpl | ( | auto | req,
|  | *hash< auto > | request_options
| ) |  |
| protected

Makes a request and returns the response.

Parameters

  req | the request info
  request_options | the request options; will be processed by validateRequestOptions()

Returns
  the response to the request

## ◆ getRequestTypeImpl()

*AbstractDataProviderType FileDataProvider::FileDeleteDataProvider::getRequestTypeImpl | ( |  | ) |
| protected

Returns the description of a successful request message, if any.

Returns
  the request type for this provider

## ◆ getResponseTypeImpl()

*AbstractDataProviderType FileDataProvider::FileDeleteDataProvider::getResponseTypeImpl | ( |  | ) |
| protected

Returns the description of a response message, if this object represents a response message.

Returns
  the response type for this response message